package com.heyu.api.data.service.vv;
/**
* <p>
* 资源库 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-25
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvResourceEntity;
public interface VvResourceService extends IService<VvResourceEntity> {



	VvResourceEntity selectVvResourceById(Long id);


	Long insertVvResource(VvResourceEntity vvResource);


	Long insertOrUpdateVvResource(VvResourceEntity vvResource);


	int updateVvResourceById(VvResourceEntity vvResource);


	int updateCoverVvResourceById(VvResourceEntity vvResource);


	int deleteVvResourceById(Long id);


}